import QtQuick 2.12
import QtQuick.Controls 2.5
import QtQuick.Layouts 1.12
import QtQuick.Window 2.12

ApplicationWindow {
   id: window
   visible: true
   width: Screen.width
   height: Screen.height
   title: qsTr("Scroll")
   ScrollView{
      id: view
      anchors.fill: parent
      ColumnLayout {
         //anchors.fill:parent
         width: parent.width
         Repeater {
            width: parent.width
            model: 10
            delegate: Column {
               height: (label.height + ta.height) + 10
               width: parent.width
               Text {
                  id: label
                  text: "label text: " + index
               }
               TextArea {
                  id: ta
                  text: "TextArea editable " + (index + 1) //
                  width: window.width
                  height: 1.1 * tm.height  * (lineCount + 1)
                  implicitHeight: tm.height * 2 + 10
                  enabled: true
                  TextMetrics {
                     id: tm
                     font: ta.font
                     text: "ABC"
                  }
               }
            }
         }
      }
   }
}
